#include <stdint.h>
#include <lib/textMode/stdio.h>
#include <tree-os.h>
#include <lib/textMode/cursor.h>
#include <lib/task/task.h>
#include <lib/memory/alloc.h>
#include <lib/task/osTasks.h>

extern uint32_t _kernel_end;

void kernelMain() {
    initMemoryAllocation(0x100000); // initializing stacks after the kernel seems not to work :( otherwise, _kernel_end should be passed here
    initOSTasks();
    drawLogo();
    printf("Switching to otherTask... \n");
    yields();
    printf("Returned to mainTask!\n\n");
    yield();
}